import request from '@/utils/request'

// 主数据表结构
export function getColumnsByModelId(query) {
  return request({
    url: '/md/search/getColumnsByModelId',
    method: 'get',
    params: query
  })
}

// 查询主数据
export function getTableDataByModelId(query) {
  return request({
    url: '/md/search/getTableDataByModelId',
    method: 'get',
    params: query
  })
}

// 审批日志
export function getApproveLogList(query) {
  return request({
    url: '/md/search/getApproveLogList',
    method: 'get',
    params: query
  })
}

// 生命周期
export function getLifeCycle(query) {
  return request({
    url: '/md/search/getLifeCycle',
    method: 'get',
    params: query
  })
}

// 查看版本
export function getVersionList(query) {
  return request({
    url: '/md/search/getVersionList',
    method: 'get',
    params: query
  })
}

// 版本对比
export function getVersionContrast(query) {
  return request({
    url: '/md/search/getVersionContrast',
    method: 'get',
    params: query
  })
}

// 数据导出
export function exportExcel(query) {
  // return request({
  //   url: '/md/search/exportExcel',
  //   method: 'get',
  //   params: query
  // })
}
